# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=rockhall
TARGET=rockhall.tif
PROJECT_FILE=/mnt/media/pictures/2008/2008-05-29/rockhall.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/2008-05-29/sta_3343.jpg /mnt/media/pictures/2008/2008-05-29/stb_3344.jpg /mnt/media/pictures/2008/2008-05-29/stc_3345.jpg /mnt/media/pictures/2008/2008-05-29/std_3346.jpg /mnt/media/pictures/2008/2008-05-29/ste_3347.jpg /mnt/media/pictures/2008/2008-05-29/stf_3348.jpg /mnt/media/pictures/2008/2008-05-29/stg_3349.jpg /mnt/media/pictures/2008/2008-05-29/sth_3350.jpg /mnt/media/pictures/2008/2008-05-29/sti_3351.jpg /mnt/media/pictures/2008/2008-05-29/stj_3352.jpg /mnt/media/pictures/2008/2008-05-29/stk_3353.jpg /mnt/media/pictures/2008/2008-05-29/stl_3354.jpg /mnt/media/pictures/2008/2008-05-29/stm_3355.jpg /mnt/media/pictures/2008/2008-05-29/stn_3356.jpg /mnt/media/pictures/2008/2008-05-29/sto_3357.jpg /mnt/media/pictures/2008/2008-05-29/stp_3358.jpg 

# remapped images
REMAPPED_IMAGES=rockhall0000.tif rockhall0001.tif rockhall0002.tif rockhall0003.tif rockhall0004.tif rockhall0005.tif rockhall0006.tif rockhall0007.tif rockhall0008.tif rockhall0009.tif rockhall0010.tif rockhall0011.tif rockhall0012.tif rockhall0013.tif rockhall0014.tif rockhall0015.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -w -f10469x3218


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


